This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 678473 - add new free fonts for GB18030 support
add new free fonts for GB18030 support
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: distribution (Show other bugs)
6.1
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: RHEL Product and Program Management
Brock Organ
: i18n, Tracking
Depends On: 679683 679684 679686
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-18 00:07 EST by Jens Petersen
Modified: 2014-03-25 21:15 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2011-02-18 00:07:23 EST
Description of problem:
Currently we ship a non-free font in Supplementary for GB18030 support.
There are now free fonts available providing coverage for compliance
so we would like to add them to RHEL for GB18030 support.

There are 3 new fonts which have been packaged for Fedora
and perhaps an update of wqy-zenhei-fonts is also needed

This bug will track this and be blocked by the new package bugs.

Similar bugs will also be filed for RHEL 5 and RHEL 4
Comment 1 Peng Wu 2011-02-22 02:42:43 EST
I just did cvs-import.sh for ukij-tuz-fonts, sil-nuosu-fonts and manchu-fonts, and sent mail to releng.
Comment 2 RHEL Product and Program Management 2011-02-22 04:57:52 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 3 Jens Petersen 2011-02-23 02:43:38 EST
Peng, this is just a tracking bug: tracking bugs do not need 3acks.

Please open a bug against distribution for each new font to be added,
and make those bugs block this one as explained in the description.

We will also need to clone those bugs to RHEL 5 and RHEL 4
and also need a bug for adding wqy-zenhei-fonts to RHEL 4 and 5.
Comment 4 Jens Petersen 2011-02-23 02:44:10 EST
Can you also check if wqy-zenhei-fonts needs to be updated or not in RHEL6?
Comment 5 Peng Wu 2011-02-23 02:57:23 EST
I asked Min Zhan(mzhan@redhat.com), she said it is tested with wqy-zenhei-fonts-0.9.45-3.el6.noarch.
Maybe no need to update wqy-zenhei-fonts.
Comment 6 min zhan 2011-02-23 04:13:09 EST
(In reply to comment #5)

As you checked in my testing environment,the font version used is wqy-zenhei-fonts-0.9.45-3.el6.noarch in RHEL6 host.

But in F14, I check with WenQuanYi Zen Hei font (0.9.46-1.fc15.noarch).
Comment 7 Jens Petersen 2011-02-24 22:24:17 EST
Ok, great, thanks.

For RHEL 5 and 4 we will still need to add WQY Zenhei I suppose.

Note You need to log in before you can comment on or make changes to this bug.